- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Modules | Macros | Typedefs | Enumerations
Edje Text Part
Edje Part

Functions that deal with parts of type text. More...

## Modules
| Edje Text Entry
| Functions that deal with text entries.
| Edje Text Selection
| Functions that deal with selection in text parts.
| Edje Text Cursor
| Functions that deal with cursor in text parts.

## Macros
#define | EDJE_TEXT_EFFECT_MASK_BASIC 0xf
#define | EDJE_TEXT_EFFECT_BASIC_SET(x, s) do { x = ((x) & ~EDJE_TEXT_EFFECT_MASK_BASIC) | (s); } while (0)
#define | EDJE_TEXT_EFFECT_MASK_SHADOW_DIRECTION (0x7 << 4)
#define | EDJE_TEXT_EFFECT_SHADOW_DIRECTION_SET(x, s) do { x = ((x) & ~EDJE_TEXT_EFFECT_MASK_SHADOW_DIRECTION) | (s); } while (0)

## Typedefs
typedef enum _Edje_Text_Effect | Edje_Text_Effect
typedef void(* | Edje_Text_Change_Cb )(void *data, Evas_Object *obj, const char *part)

## Enumerations
enum | _Edje_Text_Effect { EDJE_TEXT_EFFECT_NONE = 0, EDJE_TEXT_EFFECT_PLAIN = 1, EDJE_TEXT_EFFECT_OUTLINE = 2, EDJE_TEXT_EFFECT_SOFT_OUTLINE = 3, EDJE_TEXT_EFFECT_SHADOW = 4, EDJE_TEXT_EFFECT_SOFT_SHADOW = 5, EDJE_TEXT_EFFECT_OUTLINE_SHADOW = 6, EDJE_TEXT_EFFECT_OUTLINE_SOFT_SHADOW = 7, EDJE_TEXT_EFFECT_FAR_SHADOW = 8, EDJE_TEXT_EFFECT_FAR_SOFT_SHADOW = 9, EDJE_TEXT_EFFECT_GLOW = 10, EDJE_TEXT_EFFECT_LAST = 11, EDJE_TEXT_EFFECT_SHADOW_DIRECTION_BOTTOM_RIGHT = (0x0 << 4), EDJE_TEXT_EFFECT_SHADOW_DIRECTION_BOTTOM = (0x1 << 4), EDJE_TEXT_EFFECT_SHADOW_DIRECTION_BOTTOM_LEFT = (0x2 << 4), EDJE_TEXT_EFFECT_SHADOW_DIRECTION_LEFT = (0x3 << 4), EDJE_TEXT_EFFECT_SHADOW_DIRECTION_TOP_LEFT = (0x4 << 4), EDJE_TEXT_EFFECT_SHADOW_DIRECTION_TOP = (0x5 << 4), EDJE_TEXT_EFFECT_SHADOW_DIRECTION_TOP_RIGHT = (0x6 << 4), EDJE_TEXT_EFFECT_SHADOW_DIRECTION_RIGHT = (0x7 << 4) }
#define | edje_obj_text_change_cb_set(func, data) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_TEXT_CHANGE_CB_SET), EO_TYPECHECK(Edje_Text_Change_Cb, func), EO_TYPECHECK(void *, data)
| Set the object text callback. More...
#define | edje_obj_part_text_style_user_push(part, style) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_STYLE_USER_PUSH), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char *, style)
| Set the style of the part. More...
#define | edje_obj_part_text_style_user_pop(part) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_STYLE_USER_POP), EO_TYPECHECK(const char *, part)
| Delete the top style form the user style stack. More...
#define | edje_obj_part_text_style_user_peek(part, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_STYLE_USER_PEEK), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char **, ret)
| Return the text of the object part. More...
#define | edje_obj_part_text_set(part, text, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char *, text), EO_TYPECHECK(Eina_Bool *, ret)
| Sets the text for an object part. More...
#define | edje_obj_part_text_get(part, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char **, ret)
| Return the text of the object part. More...
#define | edje_obj_part_text_escaped_set(part, text, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_ESCAPED_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char *, text), EO_TYPECHECK(Eina_Bool *, ret)
| Sets the text for an object part, but converts HTML escapes to UTF8. More...
#define | edje_obj_part_text_unescaped_set(part, text_to_escape, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_UNESCAPED_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char *, text_to_escape), EO_TYPECHECK(Eina_Bool *, ret)
| Sets the raw (non escaped) text for an object part. More...
#define | edje_obj_part_text_unescaped_get(part, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_UNESCAPED_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(char **, ret)
| Returns the text of the object part, without escaping. More...
#define | edje_obj_part_text_insert(part, text) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INSERT), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char *, text)
| Insert text for an object part. More...
#define | edje_obj_part_text_append(part, text) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_APPEND), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char *, text)
| Insert text for an object part. More...
#define | edje_obj_part_text_anchor_list_get(part, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_ANCHOR_LIST_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const Eina_List **, ret)
| Return a list of char anchor names. More...
#define | edje_obj_part_text_anchor_geometry_get(part, anchor, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_ANCHOR_GEOMETRY_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char *, anchor), EO_TYPECHECK(const Eina_List **, ret)
| Return a list of Evas_Textblock_Rectangle anchor rectangles. More...
#define | edje_obj_part_text_item_list_get(part, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_ITEM_LIST_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const Eina_List **, ret)
| Return a list of char item names. More...
#define | edje_obj_part_text_item_geometry_get(part, item, cx, cy, cw, ch, ret) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_ITEM_GEOMETRY_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char *, item), EO_TYPECHECK(Evas_Coord *, cx), EO_TYPECHECK(Evas_Coord *, cy), EO_TYPECHECK(Evas_Coord *, cw), EO_TYPECHECK(Evas_Coord *, ch), EO_TYPECHECK(Eina_Bool *, ret)
| Return item geometry. More...
#define | edje_obj_part_text_user_insert(part, text) EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_USER_INSERT), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char *, text)
| This function inserts text as if the user has inserted it. More...
void | edje_object_text_change_cb_set (Evas_Object *obj, Edje_Text_Change_Cb func, void *data)
| Set the object text callback. More...
Eina_Bool | edje_object_part_text_set (Evas_Object *obj, const char *part, const char *text)
| Sets the text for an object part. More...
Eina_Bool | edje_object_part_text_escaped_set (Evas_Object *obj, const char *part, const char *text)
| Sets the text for an object part, but converts HTML escapes to UTF8. More...
const char * | edje_object_part_text_get (const Evas_Object *obj, const char *part)
| Return the text of the object part. More...
void | edje_object_part_text_style_user_push (Evas_Object *obj, const char *part, const char *style)
| Set the style of the. More...
const char * | edje_object_part_text_style_user_peek (const Evas_Object *obj, const char *part)
| Return the text of the object part. More...
void | edje_object_part_text_style_user_pop (Evas_Object *obj, const char *part)
| Delete the top style form the user style stack. More...
Eina_Bool | edje_object_part_text_unescaped_set (Evas_Object *obj, const char *part, const char *text_to_escape)
| Sets the raw (non escaped) text for an object part. More...
char * | edje_object_part_text_unescaped_get (const Evas_Object *obj, const char *part)
| Returns the text of the object part, without escaping. More...
void | edje_object_part_text_insert (Evas_Object *obj, const char *part, const char *text)
| Insert text for an object part. More...
void | edje_object_part_text_append (Evas_Object *obj, const char *part, const char *text)
| Insert text for an object part. More...
const Eina_List * | edje_object_part_text_anchor_list_get (const Evas_Object *obj, const char *part)
| Return a list of char anchor names. More...
const Eina_List * | edje_object_part_text_anchor_geometry_get (const Evas_Object *obj, const char *part, const char *anchor)
| Return a list of Evas_Textblock_Rectangle anchor rectangles. More...
const Eina_List * | edje_object_part_text_item_list_get (const Evas_Object *obj, const char *part)
| Return a list of char item names. More...
Eina_Bool | edje_object_part_text_item_geometry_get (const Evas_Object *obj, const char *part, const char *item, Evas_Coord *cx, Evas_Coord *cy, Evas_Coord *cw, Evas_Coord *ch)
| Return item geometry. More...
void | edje_object_part_text_user_insert (const Evas_Object *obj, const char *part, const char *text)
| This function inserts text as if the user has inserted it. More...

## Detailed Description

Functions that deal with parts of type text.

Text is an element type for parts. It's basic functionality is to display a string on the layout, but a lot more things can be done with texts, like string selection, setting the cursor and include a input panel, where one can set a virtual keyboard to handle keyboard entry easily.

## Macro Definition Documentation

#define edje_obj_text_change_cb_set | ( |  | func,
|  |  | data
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_TEXT_CHANGE_CB_SET), EO_TYPECHECK(Edje_Text_Change_Cb, func), EO_TYPECHECK(void *, data)

Set the object text callback.

Since
  1.8

Parameters

  [in] | func |
  [in] | data |

See Also
  edje_object_text_change_cb_set

Referenced by edje_object_text_change_cb_set().

#define edje_obj_part_text_style_user_push | ( |  | part,
|  |  | style
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_STYLE_USER_PUSH), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char *, style)

Set the style of the part.

Since
  1.8

Parameters

  [in] | part |
  [in] | style |

See Also
  edje_object_part_text_style_user_push

Referenced by edje_object_part_text_style_user_push().

#define edje_obj_part_text_style_user_pop | ( |  | part | ) | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_STYLE_USER_POP), EO_TYPECHECK(const char *, part)

Delete the top style form the user style stack.

Since
  1.8

Parameters

  [in] | part |

See Also
  edje_object_part_text_style_user_pop

Referenced by edje_object_part_text_style_user_pop().

#define edje_obj_part_text_style_user_peek | ( |  | part,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_STYLE_USER_PEEK), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char **, ret)

Return the text of the object part.

Since
  1.8

Parameters

  [in] | part |
  [out] | ret |

See Also
  edje_object_part_text_style_user_peek

Referenced by edje_object_part_text_style_user_peek().

#define edje_obj_part_text_set | ( |  | part,
|  |  | text,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char *, text), EO_TYPECHECK(Eina_Bool *, ret)

Sets the text for an object part.

Since
  1.8

Parameters

  [in] | part |
  [in] | text |
  [out] | ret |

See Also
  edje_object_part_text_set

Referenced by edje_object_part_text_set().

#define edje_obj_part_text_get | ( |  | part,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char **, ret)

Return the text of the object part.

Since
  1.8

Parameters

  [in] | part |
  [out] | ret |

See Also
  edje_object_part_text_get

Referenced by edje_object_part_text_get().

#define edje_obj_part_text_escaped_set | ( |  | part,
|  |  | text,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_ESCAPED_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char *, text), EO_TYPECHECK(Eina_Bool *, ret)

Sets the text for an object part, but converts HTML escapes to UTF8.

Since
  1.8

Parameters

  [in] | part |
  [in] | text |
  [out] | ret |

See Also
  edje_object_part_text_escaped_set

Referenced by edje_object_part_text_escaped_set().

#define edje_obj_part_text_unescaped_set | ( |  | part,
|  |  | text_to_escape,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_UNESCAPED_SET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char *, text_to_escape), EO_TYPECHECK(Eina_Bool *, ret)

Sets the raw (non escaped) text for an object part.

Since
  1.8

Parameters

  [in] | part |
  [in] | text_to_escape |
  [out] | ret |

See Also
  edje_object_part_text_unescaped_set

Referenced by edje_object_part_text_unescaped_set().

#define edje_obj_part_text_unescaped_get | ( |  | part,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_UNESCAPED_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(char **, ret)

Returns the text of the object part, without escaping.

Since
  1.8

Parameters

  [in] | part |
  [out] | ret |

See Also
  edje_object_part_text_unescaped_get

Referenced by edje_object_part_text_unescaped_get().

#define edje_obj_part_text_insert | ( |  | part,
|  |  | text
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_INSERT), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char *, text)

Insert text for an object part.

Since
  1.8

Parameters

  [in] | part |
  [in] | text |

See Also
  edje_object_part_text_insert

Referenced by edje_object_part_text_insert().

#define edje_obj_part_text_append | ( |  | part,
|  |  | text
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_APPEND), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char *, text)

Insert text for an object part.

Since
  1.8

Parameters

  [in] | part |
  [in] | text |

See Also
  edje_object_part_text_append

Referenced by edje_object_part_text_append().

#define edje_obj_part_text_anchor_list_get | ( |  | part,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_ANCHOR_LIST_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const Eina_List **, ret)

Return a list of char anchor names.

Since
  1.8

Parameters

  [in] | part |
  [out] | ret |

See Also
  edje_object_part_text_anchor_list_get

Referenced by edje_object_part_text_anchor_list_get().

#define edje_obj_part_text_anchor_geometry_get | ( |  | part,
|  |  | anchor,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_ANCHOR_GEOMETRY_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char *, anchor), EO_TYPECHECK(const Eina_List **, ret)

Return a list of Evas_Textblock_Rectangle anchor rectangles.

Since
  1.8

Parameters

  [in] | part |
  [in] | anchor |
  [out] | ret |

See Also
  edje_object_part_text_anchor_geometry_get

Referenced by edje_object_part_text_anchor_geometry_get().

#define edje_obj_part_text_item_list_get | ( |  | part,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_ITEM_LIST_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const Eina_List **, ret)

Return a list of char item names.

Since
  1.8

Parameters

  [in] | part |
  [out] | ret |

See Also
  edje_object_part_text_item_list_get

Referenced by edje_object_part_text_item_list_get().

#define edje_obj_part_text_item_geometry_get | ( |  | part,
|  |  | item,
|  |  | cx,
|  |  | cy,
|  |  | cw,
|  |  | ch,
|  |  | ret
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_ITEM_GEOMETRY_GET), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char *, item), EO_TYPECHECK(Evas_Coord *, cx), EO_TYPECHECK(Evas_Coord *, cy), EO_TYPECHECK(Evas_Coord *, cw), EO_TYPECHECK(Evas_Coord *, ch), EO_TYPECHECK(Eina_Bool *, ret)

Return item geometry.

Since
  1.8

Parameters

  [in] | part |
  [in] | item |
  [out] | cx |
  [out] | cy |
  [out] | cw |
  [out] | ch |
  [out] | ret |

See Also
  edje_object_part_text_item_geometry_get

Referenced by edje_object_part_text_item_geometry_get().

#define edje_obj_part_text_user_insert | ( |  | part,
|  |  | text
| ) |  | EDJE_OBJ_ID(EDJE_OBJ_SUB_ID_PART_TEXT_USER_INSERT), EO_TYPECHECK(const char *, part), EO_TYPECHECK(const char *, text)

This function inserts text as if the user has inserted it.

Since
  1.8

Parameters

  [in] | part |
  [in] | text |

See Also
  edje_object_part_text_user_insert

Referenced by edje_object_part_text_user_insert().

## Function Documentation

void edje_object_text_change_cb_set | ( | Evas_Object * | obj,
|  | Edje_Text_Change_Cb | func,
|  | void * | data
| ) |  |

Set the object text callback.

Parameters

  obj | A valid Evas_Object handle
  func | The callback function to handle the text change
  data | The data associated to the callback function.

This function sets the callback to be called when the text changes.

Examples:
  edje-text.c.

References edje_obj_text_change_cb_set.

Eina_Bool edje_object_part_text_set | ( | Evas_Object * | obj,
|  | const char * | part,
|  | const char * | text
| ) |  |

Sets the text for an object part.

Parameters

  obj | A valid Evas Object handle
  part | The part name
  text | The text string

Returns
  `EINA_TRUE` on success, `EINA_FALSE` otherwise

Examples:
  edje-color-class.c, and edje-text.c.

References edje_obj_part_text_set, and EINA_FALSE.

Eina_Bool edje_object_part_text_escaped_set | ( | Evas_Object * | obj,
|  | const char * | part,
|  | const char * | text
| ) |  |

Sets the text for an object part, but converts HTML escapes to UTF8.

This converts the given string `text` to UTF8 assuming it contains HTML style escapes like "&amp;" and "&copy;" etc. IF the part is of type TEXT, as opposed to TEXTBLOCK.

Parameters

  obj | A valid Evas Object handle
  part | The part name
  text | The text string

Returns
  `EINA_TRUE` on success, `EINA_FALSE` otherwise

Since
  1.2

References edje_obj_part_text_escaped_set, and EINA_FALSE.

const char* edje_object_part_text_get | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Return the text of the object part.

Parameters

  obj | A valid Evas_Object handle
  part | The part name

Returns
  The text string

This function returns the text associated to the object part.

See Also
  edje_object_part_text_set().

References edje_obj_part_text_get.

void edje_object_part_text_style_user_push | ( | Evas_Object * | obj,
|  | const char * | part,
|  | const char * | style
| ) |  |

Set the style of the.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  style | The style to set (textblock conventions).

This function sets the style associated with the textblock part.

Since
  1.2.0

References edje_obj_part_text_style_user_push.

const char* edje_object_part_text_style_user_peek | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Return the text of the object part.

Parameters

  obj | A valid Evas_Object handle
  part | The part name

Returns
  The text string

This function returns the style associated with the textblock part.

Since
  1.2.0

References edje_obj_part_text_style_user_peek.

void edje_object_part_text_style_user_pop | ( | Evas_Object * | obj,
|  | const char * | part
| ) |  |

Delete the top style form the user style stack.

Parameters

  obj | A valid Evas_Object handle
  part | The part name

Since
  1.2.0

References edje_obj_part_text_style_user_pop.

Eina_Bool edje_object_part_text_unescaped_set | ( | Evas_Object * | obj,
|  | const char * | part,
|  | const char * | text_to_escape
| ) |  |

Sets the raw (non escaped) text for an object part.

Parameters

  obj | A valid Evas Object handle
  part | The part name
  text_to_escape | The text string

This funciton will not do escape for you if it is a TEXTBLOCK part, that is, if text contain tags, these tags will not be interpreted/parsed by TEXTBLOCK.

See Also
  edje_object_part_text_unescaped_get().

References edje_obj_part_text_unescaped_set, and EINA_FALSE.

char* edje_object_part_text_unescaped_get | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Returns the text of the object part, without escaping.

Parameters

  obj | A valid Evas_Object handle
  part | The part name

Returns
  The allocated text string without escaping, or NULL on problems.

This function is the counterpart of edje_object_part_text_unescaped_set(). Please notice that the result is newly allocated memory and should be released with free() when done.

See Also
  edje_object_part_text_unescaped_set().

Examples:
  edje-text.c.

References edje_obj_part_text_unescaped_get.

void edje_object_part_text_insert | ( | Evas_Object * | obj,
|  | const char * | part,
|  | const char * | text
| ) |  |

Insert text for an object part.

Parameters

  obj | A valid Evas Object handle
  part | The part name
  text | The text string

This function inserts the text for an object part just before the cursor position.

References edje_obj_part_text_insert.

void edje_object_part_text_append | ( | Evas_Object * | obj,
|  | const char * | part,
|  | const char * | text
| ) |  |

Insert text for an object part.

Parameters

  obj | A valid Evas Object handle
  part | The part name
  text | The text string

This function inserts the text for an object part at the end; It does not move the cursor.

Since
  1.1

References edje_obj_part_text_append.

const Eina_List* edje_object_part_text_anchor_list_get | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Return a list of char anchor names.

Parameters

  obj | A valid Evas_Object handle
  part | The part name

Returns
  The list of anchors (const char *), do not modify!

This function returns a list of char anchor names.

References edje_obj_part_text_anchor_list_get.

const Eina_List* edje_object_part_text_anchor_geometry_get | ( | const Evas_Object * | obj,
|  | const char * | part,
|  | const char * | anchor
| ) |  |

Return a list of Evas_Textblock_Rectangle anchor rectangles.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  anchor | The anchor name

Returns
  The list of anchor rects (const Evas_Textblock_Rectangle *), do not modify! Geometry is relative to entry part.

This function return a list of Evas_Textblock_Rectangle anchor rectangles.

References edje_obj_part_text_anchor_geometry_get.

const Eina_List* edje_object_part_text_item_list_get | ( | const Evas_Object * | obj,
|  | const char * | part
| ) |  |

Return a list of char item names.

Parameters

  obj | A valid Evas_Object handle
  part | The part name

Returns
  The list of items (const char *), do not modify!

This function returns a list of char item names.

References edje_obj_part_text_item_list_get.

Eina_Bool edje_object_part_text_item_geometry_get | ( | const Evas_Object * | obj,
|  | const char * | part,
|  | const char * | item,
|  | Evas_Coord * | cx,
|  | Evas_Coord * | cy,
|  | Evas_Coord * | cw,
|  | Evas_Coord * | ch
| ) |  |

Return item geometry.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  item | The item name
  cx | Item x return (relative to entry part)
  cy | Item y return (relative to entry part)
  cw | Item width return
  ch | Item height return

Returns
  1 if item exists, 0 if not

This function return a list of Evas_Textblock_Rectangle item rectangles.

References edje_obj_part_text_item_geometry_get, and EINA_FALSE.

void edje_object_part_text_user_insert | ( | const Evas_Object * | obj,
|  | const char * | part,
|  | const char * | text
| ) |  |

This function inserts text as if the user has inserted it.

This means it actually registers as a change and emits signals, triggers callbacks as appropriate.

Parameters

  obj | A valid Evas_Object handle
  part | The part name
  text | The text string

Since
  1.2.0

References edje_obj_part_text_user_insert.